Enviar evento de teste
curl --request POST \
--url https://api.oripaysolutions.com.br/v1/webhook-endpoint/test \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.oripaysolutions.com.br/v1/webhook-endpoint/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.oripaysolutions.com.br/v1/webhook-endpoint/test"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.oripaysolutions.com.br/v1/webhook-endpoint/test",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"event_id": "evt_0c1d2e3f-4a5b-4c6d-8e7f-9a0b1c2d3e4f",
"delivery": {
"id": "dlv_4a5b6c7d-...",
"attempt": 123,
"status": "delivered",
"response_status": 123,
"duration_ms": 123,
"error": "<string>",
"attempted_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "insufficient_balance",
"message": "<string>",
"request_id": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
],
"existing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "insufficient_balance",
"message": "<string>",
"request_id": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
],
"existing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Webhooks
Enviar evento de teste
Scope: webhooks:test. Envia um webhook.test assinado e devolve o resultado da entrega. Sem retentativa. 10 por minuto por conta, somado ao reenvio de eventos.
POST
/
webhook-endpoint
/
test
Enviar evento de teste
curl --request POST \
--url https://api.oripaysolutions.com.br/v1/webhook-endpoint/test \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.oripaysolutions.com.br/v1/webhook-endpoint/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.oripaysolutions.com.br/v1/webhook-endpoint/test"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.oripaysolutions.com.br/v1/webhook-endpoint/test",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"event_id": "evt_0c1d2e3f-4a5b-4c6d-8e7f-9a0b1c2d3e4f",
"delivery": {
"id": "dlv_4a5b6c7d-...",
"attempt": 123,
"status": "delivered",
"response_status": 123,
"duration_ms": 123,
"error": "<string>",
"attempted_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "insufficient_balance",
"message": "<string>",
"request_id": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
],
"existing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "insufficient_balance",
"message": "<string>",
"request_id": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
],
"existing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}